LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 03-19-2008, 07:52 PM   #1
jchambers
Member
 
Registered: Aug 2007
Location: California
Distribution: Debian
Posts: 127

Rep: Reputation: 15
gcc-4.x g++-4.x - Do I need all these ?


Hello --

Do I need all these versions of gcc and g++?

Debian (lenny) x86_64

Code:
ii  gcc                               4.2.2-2                              The GNU C compiler
ii  gcc-4.1                           4.1.2-19                             The GNU C compiler
ii  gcc-4.1-base                      4.1.2-19                             The GNU Compiler Collection (base package)
ri  gcc-4.2                           4.2.3-2                              The GNU C compiler
ri  gcc-4.2-base                      4.2.3-2                              The GNU Compiler Collection (base package)
ii  gcc-4.3                           4.3.0~rc2-1                          The GNU C compiler
ri  gcc-4.3-base                      4.3.0~rc2-1                          The GNU Compiler Collection (base package)
ri  libgcc1                           4.3.0~rc2-1                          GCC support library
Code:
ii  g++-4.1                           4.1.2-19                             The GNU C++ compiler
ii  g++-4.2                           4.2.3-2                              The GNU C++ compiler
ii  g++-4.3                           4.3.0~rc2-1                          The GNU C++ compiler
Code:
ri  libstdc++6                        4.3.0~rc2-1                          The GNU Standard C++ Library v3
ii  libstdc++6-4.1-dev                4.1.2-19                             The GNU Standard C++ Library v3 (development
ii  libstdc++6-4.2-dev                4.2.3-2                              The GNU Standard C++ Library v3 (development
ii  libstdc++6-4.3-dev                4.3.0~rc2-1                          The GNU Standard C++ Library v3 (development
Code:
ii  libc6                             2.7-6                                GNU C Library: Shared libraries
ii  libc6-dev                         2.7-6                                GNU C Library: Development Libraries and Hea
ii  libc6-i386                        2.7-6                                GNU C Library: 32bit shared libraries for AM
I am pretty sure I messed this up since I cannot install x264 from source anymore.


Code:
x264# make
.depend:4: *** missing separator.  Stop.
 
Old 03-20-2008, 01:11 PM   #2
matthewg42
Senior Member
 
Registered: Oct 2003
Location: UK
Distribution: Kubuntu 12.10 (using awesome wm though)
Posts: 3,530

Rep: Reputation: 63
The make error message you posted refers to a badly formed Makefile. I don't think it's anything to do with the multiple gcc versions, at least not directly.

Perhaps the Makefile got messed up somehow? Start the build process right from the beginning (i.e. untaring/unzipping the source archive file you downloaded / received).

Last edited by matthewg42; 03-20-2008 at 01:13 PM.
 
Old 03-20-2008, 02:17 PM   #3
jchambers
Member
 
Registered: Aug 2007
Location: California
Distribution: Debian
Posts: 127

Original Poster
Rep: Reputation: 15
Thank you.
You were correct, I had to use an earlier version and then it worked.

jc
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
gcc wont install, 'failed dependencies: glibc-devel is needed by gcc-3.3.3-41' TdlSnare SUSE / openSUSE 3 11-29-2004 02:13 PM
Kernel compiling: gcc-3.3 is 586, should be gcc-3.3 386 Erik Plaggenmar Linux - Software 0 10-01-2004 11:38 AM
running software built with gcc 3.0.2 on Redhat 8 - gcc 3.2 dst1989 Linux - Software 3 03-08-2004 10:23 PM
a doubt with host gcc and arm-linux-gcc renjithgopal Linux - General 1 09-11-2003 04:02 PM
export CC=/usr/bin/gcc-3.2 - switch gcc version? ferreter Linux - Software 1 08-20-2003 12:07 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 11:00 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration